function [lon,lat,T,S]=get_ROMS_outputTEMP_RD(grdfile,ofile,day,depth);

ncg = netcdf(grdfile);
lon   = ncg{'lon_rho'}(:);
lat   = ncg{'lat_rho'}(:);
lonu  = ncg{'lon_u'}(:);
latu  = ncg{'lat_u'}(:);
lonv  = ncg{'lon_v'}(:);
latv  = ncg{'lat_v'}(:);
h     = ncg{'h'}(:);

mask  = ncg{'mask_rho'}(:);
mask = logical(mask);
h(~mask) = NaN;

% reading and preparing the output variables --------------------------------------
% eval(['nci = netcdf([''',id,'_',datatype,'.nc'']);'])
nci = netcdf(ofile);
t   =  nci{'temp'}(day,:,:,:);
s   =  nci{'salt'}(day,:,:,:);

T   =  squeeze(t(depth,:,:));
S   =  squeeze(s(depth,:,:));

T(~mask) = nan;
S(~mask) = nan;
