% PLOT_ROMS - PACKAGE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% OPTIONAL SETTINGS
datatype = 'avg';
dx = 2; dy = 2;      % vectors ploting interval
dx2 = 5; dy2 = dx2; 
sc2 = 15;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% OUTPUT Netcdf SETTINGS
%grid = dir('*grd*');grid=grid.name;
ls
grid = input(' - grid file >>','s');
path  = './';
%[grid,path] = uigetfile({'*.nc'},' Pick a Grid File ');
%ofile = dir(['*',datatype,'*']);ofile=ofile.name;
ls
ofile = input(' - output file >>','s');
%[ofile,path] = uigetfile({'*.nc'},' Pick a ROMS Output File ');
disp(['  - Grid file = ',grid])
disp(' ')
disp(['  - Output Model file = ', ofile])
pause(2)

%%% BASIC PLOT SETTINGS  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure('visible','off')
ltemp = 8:0.05:29;   % colorbar scale for temperature
lsalt = 30:0.01:37;   % colorbar scale for salinity
leta=-0.3:0.01:0.3;   % colorbar scale for surface elevation
cbarposition  = ['set(cbar,''position'',[pos(1)/5 pos(2)*4.2 pos(3)/3 pos(4)/2])'];
cbarposition2 = ['set(cbar,''position'',[pos(1)/3.5 pos(2)*4.2 pos(3)/3 pos(4)/2])'];
isob=[-200 -1000];    % isobaths to be ploted
m_proj('mercator','long',[-44 -22],'lat',[-30 -5],'on');
fancyfig = 'n'        % saving final figures flag
plsec = 's'           % plotting vertical sections flag


